
%global meadversion 1.0.0
%global namedversion 1.0.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%{?scl:%scl_package %{?scl_prefix}commons-logging-jboss-logging} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.0.Final-redhat-1

Name:           %{?scl_prefix}commons-logging-jboss-logging
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Commons Logging to JBoss Logging implementation
Group:          Development/Java

%if %with mead
Source100: commons-logging-jboss-logging-1.0.0.Final-redhat-1-scm-sources.zip
Source102: commons-logging-jboss-logging-1.0.0.Final-redhat-1.jar
Source103: commons-logging-jboss-logging-1.0.0.Final-redhat-1-project-sources.tar.gz
Source104: commons-logging-jboss-logging-1.0.0.Final-redhat-1-sources.jar
Source105: commons-logging-jboss-logging-1.0.0.Final-redhat-1-javadoc.jar
Source106: commons-logging-jboss-logging-1.0.0.Final-redhat-1.pom
%endif

License:        ASL 2.0
URL:            https://github.com/jboss-logging/commons-logging-jboss-logging

BuildArch:      noarch
BuildRoot:      %{_tmppath}/commons-logging-jboss-logging-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-logging-jboss-logging
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-logging-jboss-logging -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-logging-jboss-logging-%{namedversion}.jar %{buildroot}%{_javadir}/commons-logging-jboss-logging-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-logging-jboss-logging-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-logging-jboss-logging-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-logging-jboss-logging-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-logging-jboss-logging-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-logging-jboss-logging-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/commons-logging-jboss-logging-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-logging-jboss-logging-%{namedversion} -x META-INF/\*
%{__ln_s} commons-logging-jboss-logging-%{namedversion} %{buildroot}%{_javadocdir}/commons-logging-jboss-logging
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/commons-logging-jboss-logging-%{namedversion}.jar
%{_javadir}/commons-logging-jboss-logging.jar
%if %with javadoc
%exclude %{_javadir}/commons-logging-jboss-logging-%{namedversion}-javadoc.jar
%exclude %{_javadir}/commons-logging-jboss-logging-javadoc.jar
%endif
%{_javadir}/commons-logging-jboss-logging-%{namedversion}-sources.jar
%{_javadir}/commons-logging-jboss-logging-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-logging-jboss-logging-%{namedversion}
%{_javadocdir}/commons-logging-jboss-logging
%{_javadir}/commons-logging-jboss-logging-%{namedversion}-javadoc.jar
%{_javadir}/commons-logging-jboss-logging-javadoc.jar
%endif

%changelog
* Wed Jul 04 2018 Petr Sakar <psakar@redhat.com> - 1.0.0-1.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Wed Jul 04 2018 Petr Sakar <psakar@redhat.com> - 1.0.0-1.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.0-1.Final_redhat_1.1
- inital release

